Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

List projects

$ openai admin:organization:projects list
GET
/organization/projects

Returns a list of projects.

List projects

openai admin:organization:projects list \
  --admin-api-key 'My Admin API Key'
Response example
{
    "object": "list",
    "data": [
        {
            "id": "proj_abc",
            "object": "organization.project",
            "name": "Project example",
            "created_at": 1711471533,
            "archived_at": null,
            "status": "active"
        }
    ],
    "first_id": "proj-abc",
    "last_id": "proj-xyz",
    "has_more": false
}
Parameters
--after: optional string

A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.

--include-archived: optional boolean

If true returns all projects including those that have been archived. Archived projects are not included by default.

--limit: optional number

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

Returns
ProjectListResponse: object { data, has_more, object, 2 more }
data: array of Project { id, created_at, object, 5 more }
has_more: boolean
object: "list"
first_id: optional string
last_id: optional string
Returns Examples
Response example
{
    "object": "list",
    "data": [
        {
            "id": "proj_abc",
            "object": "organization.project",
            "name": "Project example",
            "created_at": 1711471533,
            "archived_at": null,
            "status": "active"
        }
    ],
    "first_id": "proj-abc",
    "last_id": "proj-xyz",
    "has_more": false
}